POS365.VN APIs

<back to all web services

GetTaxDeclarationVatPitBranch

Requires Authentication
The following routes are available for this service:
GET/api/v2/tax-declarations/vatpitbranch
GetTaxDeclarationBase<T> Parameters:
NameParameterData TypeRequiredDescription
PeriodTypeformPeriodTypeNo
PeriodValueformintNo
PeriodYearformintNo
PeriodType Enum:
NameValue
Monthly1enum_Monthly
Quarterly2enum_Quarterly
Yearly3enum_Yearly
GetTaxDeclarationVatPitBranchResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationVatPitBranchDto>No
TaxDeclarationVatPitBranchDto Parameters:
NameParameterData TypeRequiredDescription
BranchIdformint?No
BranchCodeformstringNo
BranchNameformstringNo
IsBranchHOformboolNo
TaxDeclarationVatPitDetailDtosformList<TaxDeclarationVatPitDetailDto>No
TaxDeclarationVatPitDetailDto Parameters:
NameParameterData TypeRequiredDescription
IdformlongNo
TargetCodeformstringNo
VatTaxRevenueformstringNo
VatTaxAmountformstringNo
PitTaxRevenueformstringNo
PitTaxAmountformstringNo
PitDeductionRevenueformstringNo
BusinessLineGroupformBusinessLineGroupTypeNo
GetTaxDeclarationVatPitBranchResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationVatPitBranchDto>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /api/v2/tax-declarations/vatpitbranch HTTP/1.1 
Host: api.pos365.vn 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"Data":[{"BranchId":0,"BranchCode":"String","BranchName":"String","IsBranchHO":false,"TaxDeclarationVatPitDetailDtos":[{"Id":0,"TargetCode":"String","VatTaxRevenue":"String","VatTaxAmount":"String","PitTaxRevenue":"String","PitTaxAmount":"String","PitDeductionRevenue":"String","BusinessLineGroup":0}]}]}